Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.ui.action.resource.common.monitor.alerts.config
Class ViewDefinitionNotificationsAction

    java.lang.Object
      org.apache.struts.action.Action
          org.apache.struts.tiles.actions.TilesAction
              org.hyperic.hq.ui.action.resource.common.monitor.alerts.config.ViewDefinitionNotificationsAction

All Implemented Interfaces:
  NotificationsAction

Direct Known Subclasses:
  ViewDefinitionNotificationsOthersAction, ViewDefinitionNotificationsUsersAction

    public abstract class ViewDefinitionNotificationsAction

extends org.apache.struts.tiles.actions.TilesAction
implements NotificationsAction

View an alert definition -- notified roles.

Field Summary

Fields inherited from class org.apache.struts.action.Action
`servlet`

Constructor Summary
`ViewDefinitionNotificationsAction()`

Method Summary
`org.apache.struts.action.ActionForward` | `execute(org.apache.struts.action.ActionMapping mapping, org.apache.struts.action.ActionForm form, javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)`
`protected abstract PageList` | `getPageList(int sessionID, org.hyperic.hq.bizapp.shared.AuthzBoss ab, EmailActionConfig ea, PageControl pc)`

Methods inherited from class org.apache.struts.tiles.actions.TilesAction
`execute`

Methods inherited from class org.apache.struts.action.Action
`addErrors, addMessages, execute, generateToken, getErrors, getLocale, getMessages, getResources, getResources, getServlet, isCancelled, isTokenValid, isTokenValid, resetToken, saveErrors, saveErrors, saveMessages, saveMessages, saveToken, setLocale, setServlet`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.hyperic.hq.ui.action.resource.common.monitor.alerts.config.NotificationsAction
`getNotificationType`

Constructor Detail

### ViewDefinitionNotificationsAction

    public ViewDefinitionNotificationsAction()

Method Detail

### execute

    public org.apache.struts.action.ActionForward execute(org.apache.struts.action.ActionMapping mapping,
                                                          org.apache.struts.action.ActionForm form,
                                                          javax.servlet.http.HttpServletRequest request,
                                                          javax.servlet.http.HttpServletResponse response)
                                                   throws java.lang.Exception

  Overrides:
    `execute` in class `org.apache.struts.tiles.actions.TilesAction`
  Throws:
    `java.lang.Exception`

### getPageList

    protected abstract PageList getPageList(int sessionID,
                                            org.hyperic.hq.bizapp.shared.AuthzBoss ab,
                                            EmailActionConfig ea,
                                            PageControl pc)
                                     throws javax.ejb.FinderException,
                                            SessionTimeoutException,
                                            SessionNotFoundException,
                                            PermissionException,
                                            java.rmi.RemoteException

  Throws:
    `javax.ejb.FinderException`
    `SessionTimeoutException`
    `SessionNotFoundException`
    `PermissionException`
    `java.rmi.RemoteException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.